
QGIS Application - Bug report #8511

Iterations: autofill mode fills the output name in a wrong way under Linux

2013-08-24 03:21 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17269

Description

when using the batch mode the autofill mode "with parameters values" seems that does not work as expected but just under Linux.

If I choose an output file name prefix like

"output_"

and then choose to autofill with input file name, the result is

"output_inputfilename"

under Windows

and

"outputinputfilename_"

under Linux.

Related issues:

Related to QGIS Application - Bug report # 9981: Processing: autofill with nu... Closed 2014-04-03

Duplicated by QGIS Application - Bug report # 11438: Processing: models canno... Closed 2014-10-18

History

#1 - 2014-06-20 08:51 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application

- Category deleted (68)

- Affected QGIS version set to 2.2.0

#2 - 2014-06-20 08:51 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Category set to 94

- Target version set to Version 2.4

#3 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2014-10-03 10:34 AM - Giovanni Manghi

- Status changed from Open to Closed
- Resolution set to fixed/implemented

should be fixed with commit:953f97707308a441c6d882090dfb43f1c8898995

#5 - 2014-10-24 10:27 AM - Paolo Cavallini

- Status changed from Closed to Feedback

It seems still true with current master (Debian nightly)

#6 - 2014-10-24 10:28 AM - Giovanni Manghi

Paolo Cavallini wrote:

It seems still true with current master (Debian nightly)

not for me on ubuntu and Windows. Do you have any "processing" folder inside .qgis2/python/plugins ?

#7 - 2014-10-24 10:46 AM - Paolo Cavallini

Clean configpath. Retried just now on Debian, same (wrong) behaviour "provpt2a", when autofilling with parameter name (filename).

#8 - 2014-10-24 11:13 AM - Giovanni Manghi

Paolo Cavallini wrote:

Clean configpath. Retried just now on Debian, same (wrong) behaviour "provpt2a", when autofilling with parameter name (filename).

please attach a sample project (with sample data).

#9 - 2014-10-24 11:15 AM - Paolo Cavallini

No need for a project. Sample data from Training manual, relevant exercise.

#10 - 2015-04-10 09:53 AM - Paolo Cavallini

See also #9981

#11 - 2015-05-04 12:34 PM - Paolo Cavallini

- Resolution deleted (fixed/implemented)

- Status changed from Feedback to Open
Confirmed, just now.

#12 - 2015-05-04 12:34 PM - Paolo Cavallini

- Subject changed from autofill mode fills the output name in a wrong way under Linux to Itreations: autofill mode fills the output name in a wrong way 

under Linux

#13 - 2015-05-04 01:46 PM - Giovanni Manghi

- Subject changed from Itreations: autofill mode fills the output name in a wrong way under Linux to Iterations: autofill mode fills the output name in a 

wrong way under Linux

- Operating System set to Linux

#14 - 2015-05-25 08:35 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

it is fine in master, please reopen if necessary.

#15 - 2015-05-25 08:42 AM - Paolo Cavallini

- Resolution deleted (fixed/implemented)

- Status changed from Closed to Reopened

I do not confir, still true here; verified also during the workshop at the HF in Nodebo.

#16 - 2015-05-25 09:02 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

just tested on a clean installation of master and works as expected (ubuntu).

#17 - 2015-05-25 10:16 AM - Paolo Cavallini

Checked again, on current master and ``pippo`` becomes ``pipp1o`` when autofilled with numbers.

#18 - 2015-05-25 10:25 AM - Giovanni Manghi

tested again with numbers too, all ok.

#19 - 2015-05-25 10:25 AM - Giovanni Manghi

please test also on other machines.

#20 - 2015-05-25 10:26 AM - Paolo Cavallini

Verified on several machines during the workshop at the HF in Nodebo.
#21 - 2015-05-25 10:54 AM - Giovanni Manghi

Paolo Cavallini wrote:

Verified on several machines during the workshop at the HF in Nodebo.

I have tested 5/6 linux installations of my own, and it works.

#22 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#23 - 2015-12-26 11:13 AM - Giovanni Manghi

- File kazam_b42eaoem.movie added

another round of tests on this (on several different Linux flavors), no issues, not even on Debian Jessie and QGIS master (see attached screencast).

Please test again.

#24 - 2016-01-13 10:19 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Giovanni Manghi wrote:

another round of tests on this (on several different Linux flavors), no issues, not even on Debian Jessie and QGIS master (see attached

screencast).

Please test again.

closing for lack of feedback, please reopen if necessary.

Files

kazam_b42eaoem.movie 1.19 MB 2015-12-26 Giovanni Manghi
